Replicas
List Replicas
GET
/
endpoints
/
{endpoint_id}
/
replicas
List Replicas
curl --request GET \
--url https://external.aieev.cloud:5007/external/api/v1/endpoints/{endpoint_id}/replicas \
--header 'Authorization: Bearer <token>'import requests
url = "https://external.aieev.cloud:5007/external/api/v1/endpoints/{endpoint_id}/replicas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external.aieev.cloud:5007/external/api/v1/endpoints/{endpoint_id}/replicas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"replica_id": "2xoeq1pe",
"state": "RUNNING",
"node_id": "<string>",
"node_ip": "100.64.0.11",
"actor_id": "<string>",
"actor_name": "<string>",
"worker_id": "<string>",
"pid": 123,
"start_time_s": 123
}
]Authorizations
Pass your API key as a Bearer token. Create API keys in the project overview.
Path Parameters
Unique endpoint ID.
Response
200 - application/json
List of replicas.
Unique replica ID.
Example:
"2xoeq1pe"
Replica state (RUNNING, STARTING, STOPPING, etc.).
Example:
"RUNNING"
Node ID where the replica is running.
Node IP address.
Example:
"100.64.0.11"
Ray actor ID.
Ray actor name.
Ray worker ID.
Process ID.
Replica start time (Unix timestamp in seconds).
⌘I
List Replicas

